Skip to main content
`Ctrl`+`K`

# TSDMSwarmMonitorMoments

Monitors the first three moments of a `DMSWARM` being evolved by the `TS`

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSDMSwarmMonitorMoments(TS ts, PetscInt step, PetscReal t, Vec U, PetscViewerAndFormat *vf)

Not Collective

## Input Parameters

- ts - the `TS` context

- step - current timestep

- t - current time

- U - current solution

- vf - not used

## Options Database Key

- -ts_dmswarm_monitor_moments - Monitor moments of particle distribution

- -ts_dmswarm_monitor_moments_interval - Interval of timesteps between monitor outputs

## Notes

This requires a `DMSWARM` be attached to the `TS`.

This is not called directly by users, rather one calls `TSMonitorSet()`, with this function as an argument, to cause the monitor to be used during the TS integration.

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSMonitorSet()`, `TSMonitorDefault()`, `DMSWARM`

## Level

intermediate

## Location

src/ts/interface/tsmon.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages